Public Class FormularzGłówny
    Private Sub btnPobierzWiek_Click(sender As Object, e As EventArgs) Handles btnPobierzWiek.Click
        Dim strWynik As String
        Dim intWiek As Integer
        strWynik = InputBox("Podaj swój wiek.", "Podaj wiek")
        If strWynik = "" Then
            MessageBox.Show("Kliknąłeś Anuluj!")
        ElseIf IsNumeric(strWynik) Then
            ' Użytkownik wpisał liczbę, więc można ją zapisać w zmiennej typu liczbowego.
            intWiek = CInt(strWynik)
            MessageBox.Show("Podałeś wiek " & intWiek & " lat.")
        Else
            MessageBox.Show("To nie jest liczba.")
        End If

    End Sub
End Class
